Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Gilles Dartiguelongue (eva)" <eva@g.o>
Subject: gentoo-x86 commit in dev-python/pygtk: pygtk-2.12.1-r2.ebuild ChangeLog
Date: Sat, 23 Aug 2008 10:38:59 +0000
eva         08/08/23 10:38:59

  Modified:             pygtk-2.12.1-r2.ebuild ChangeLog
  Log:
  codegen patch doesn't work properly without eautomake, bug #233337..
  (Portage version: 2.2_rc8/cvs/Linux 2.6.24-gentoo-r8 i686)

Revision  Changes    Path
1.6                  dev-python/pygtk/pygtk-2.12.1-r2.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pygtk/pygtk-2.12.1-r2.ebuild?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pygtk/pygtk-2.12.1-r2.ebuild?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pygtk/pygtk-2.12.1-r2.ebuild?r1=1.5&r2=1.6

Index: pygtk-2.12.1-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pygtk/pygtk-2.12.1-r2.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- pygtk-2.12.1-r2.ebuild	12 Aug 2008 13:30:34 -0000	1.5
+++ pygtk-2.12.1-r2.ebuild	23 Aug 2008 10:38:58 -0000	1.6
@@ -1,8 +1,8 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pygtk/pygtk-2.12.1-r2.ebuild,v 1.5 2008/08/12 13:30:34 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pygtk/pygtk-2.12.1-r2.ebuild,v 1.6 2008/08/23 10:38:58 eva Exp $
 
-inherit gnome.org python flag-o-matic eutils virtualx
+inherit autotools gnome.org python flag-o-matic eutils virtualx
 
 DESCRIPTION="GTK+2 bindings for Python"
 HOMEPAGE="http://www.pygtk.org/"
@@ -36,6 +36,8 @@
 	# fix for bug #194343
 	epatch "${FILESDIR}/${PN}-2.12.1-fix-codegen-location.patch"
 
+	AT_M4DIR="m4" eautomake
+
 	# disable pyc compiling
 	mv "${S}"/py-compile "${S}"/py-compile.orig
 	ln -s $(type -P true) "${S}"/py-compile
@@ -43,14 +45,14 @@
 
 src_compile() {
 	use hppa && append-flags -ffunction-sections
-	econf $(use_enable doc docs) --enable-thread || die
+	econf $(use_enable doc docs) --enable-thread
 	# possible problems with parallel builds (#45776)
 	#emake -j1 || die
-	emake || die
+	emake || die "emake failed"
 }
 
 src_install() {
-	emake DESTDIR="${D}" install || die
+	emake DESTDIR="${D}" install || die "emake install failed"
 	dodoc AUTHORS ChangeLog INSTALL MAPPING NEWS README THREADS TODO
 
 	if use examples; then



1.188                dev-python/pygtk/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pygtk/ChangeLog?rev=1.188&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pygtk/ChangeLog?rev=1.188&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pygtk/ChangeLog?r1=1.187&r2=1.188

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pygtk/ChangeLog,v
retrieving revision 1.187
retrieving revision 1.188
diff -u -r1.187 -r1.188
--- ChangeLog	12 Aug 2008 13:30:34 -0000	1.187
+++ ChangeLog	23 Aug 2008 10:38:58 -0000	1.188
@@ -1,6 +1,10 @@
 # ChangeLog for dev-python/pygtk
 # Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pygtk/ChangeLog,v 1.187 2008/08/12 13:30:34 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pygtk/ChangeLog,v 1.188 2008/08/23 10:38:58 eva Exp $
+
+  23 Aug 2008; Gilles Dartiguelongue <eva@g.o>
+  pygtk-2.12.1-r2.ebuild:
+  codegen patch doesn't work properly without eautomake, bug #233337.
 
   12 Aug 2008; Raúl Porcel <armin76@g.o> pygtk-2.12.1-r2.ebuild:
   alpha/ia64/sparc stable wrt #229709





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in dev-python/pygtk: pygtk-2.12.1-r2.ebuild ChangeLog
Next by thread:
gentoo-x86 commit in dev-python/pygtk: pygtk-2.12.1-r2.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in media-gfx/aqsis: ChangeLog aqsis-1.2.0-r1.ebuild
Next by date:
gentoo-x86 commit in dev-lang/icc/files: icc-add-amd64-preprocessor-directives.patch


Updated Feb 04, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.